%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)
%define perl_sitearch %(eval "`perl -V:installsitearch`"; echo $installsitearch)
%define perl_archlib %(eval "`perl -V:installarchlib`"; echo $installarchlib)

%define real_name Data-ShowTable

Name:		perl-Data-ShowTable
Version:	4.1
Release:	1%{?dist}
Summary:	Show data in nicely formatted columns

Group:		Development/Libraries
License:	GPLv2+
URL:		http://search.cpan.org/dist/Data-ShowTable/
Source0:	Data-ShowTable-%{version}.tar.gz
Patch1:     perl-Data-ShowTable-4.1-make.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	perl, perl-ExtUtils-MakeMaker, perl-ExtUtils-MakeMaker-Coverage


%description
ShowTable.pm, version 4.1, is a Perl 5 module which defines subroutines
to print arrays of data in a nicely formatted listing, using one of
four possible formats: simple table, boxed table, list style, and
HTML-formatting (for World-Wide-Web output).  See the documentation on
ShowTable.pm for details on the formatting.

The program "showtable" reads data in a variety of formats from a file
or STDIN, optimally columnizes the data, and then feeds the array of
data to the ShowTable module for display.  Showtable can parse its own
output as input (except for HTML).  Individual or ranges of columns may
be selected for display, either by name or by index.

In other words, showtable is a data formatting program.  Using the
'-html' option, showtable can accept ASCII tablular data and format it
appropriately for display through a Web-browser.


%prep
%setup -q -n %{real_name}-%{version}
%patch1 -p0


%build
perl Makefile.PL
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR='%{buildroot}'


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes Copyright README
%{_bindir}/showtable
%{_mandir}/man1/showtable.1.gz
%{_mandir}/man3/Data::ShowTable.3pm.gz
%{perl_sitelib}/Data/ShowTable.pm
%{perl_archlib}/perllocal.pod
%{perl_sitearch}/auto/Data/ShowTable/.packlist



%changelog
* Thu Aug 15 2013 Matt Robinson <mwr54@nbcs.rutgers.edu> - 4.1-1.ru
- First build for Rutgers CentOS 5
